Runtime

## org.eclipse.gmf.runtime.diagram.ui.tools
Class UnspecifiedTypeConnectionTool

    java.lang.Object
      org.eclipse.gef.util.FlagSupport
          org.eclipse.gef.tools.AbstractTool
              org.eclipse.gef.tools.TargetingTool
                  org.eclipse.gef.tools.AbstractConnectionCreationTool
                      org.eclipse.gef.tools.ConnectionCreationTool
                          org.eclipse.gmf.runtime.diagram.ui.tools.ConnectionCreationTool
                              org.eclipse.gmf.runtime.diagram.ui.tools.UnspecifiedTypeConnectionTool

All Implemented Interfaces:
  RequestConstants, Tool

public class UnspecifiedTypeConnectionTool
extends ConnectionCreationTool

This specialized connection tool adds support for a multi-type connection tool. That is, the tool is given a list of connection types and when the user completes the gesture, a popup appears asking the user to pick one of the connection types.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.tools.AbstractTool
`AbstractTool.Input`

Field Summary

Fields inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool
`MAX_FLAG, MAX_STATE, STATE_CONNECTION_STARTED`

Fields inherited from class org.eclipse.gef.tools.AbstractTool
`MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`UnspecifiedTypeConnectionTool(java.util.List connectionTypes)` Creates a new instance with a list of possible connection types.

Method Summary
`protected Request` `createTargetRequest()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.tools.ConnectionCreationTool
`avoidDeactivation, calculateCursor, createConnection, deactivate, doAutoexpose, eraseSourceFeedback, getCommand, getElementType, getPreferencesHint, handleButtonUp, handleCreateConnection, handleDoubleClick, handleFinished, handleKeyUp, handleMove, isCtrlKeyDown, selectAddedObject, setAvoidDeactivation, setCtrlKeyDown, setSemanticRequestType`

Methods inherited from class org.eclipse.gef.tools.ConnectionCreationTool
`handleButtonDown, handleFocusLost, handleKeyDown, mouseWheelScrolled`

Methods inherited from class org.eclipse.gef.tools.AbstractConnectionCreationTool
`getCommandName, getDebugName, getDebugNameForState, getFactory, getSourceRequest, handleCommandStackChanged, handleDrag, handleDragInProgress, handleHover, handleInvalidInput, handleSourceDeactivated, isShowingSourceFeedback, setConnectionSource, setFactory, showSourceFeedback, updateTargetRequest`

Methods inherited from class org.eclipse.gef.tools.TargetingTool

`eraseTargetFeedback, getAutoexposeHelper, getExclusionSet, getTargetEditPart, getTargetingConditional, getTargetRequest, handleAutoexpose, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, resetFlags, setAutoexposeHelper, setTargetEditPart, setTargetRequest, showTargetFeedback, unlockTargetEditPart, updateAutoexposeHelper, updateTargetUnderMouse`

Methods inherited from class org.eclipse.gef.tools.AbstractTool

`activate, addFeedback, applyProperty, commitDrag, createOperationSet, debug, executeCommand, executeCurrentCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDefaultCursor, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleDragStarted, handleFocusGained, handleKeyTraversed, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setState, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

Methods inherited from class org.eclipse.gef.util.FlagSupport
`getFlag, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnspecifiedTypeConnectionTool

    public UnspecifiedTypeConnectionTool(java.util.List connectionTypes)

  Creates a new instance with a list of possible connection types.

Parameters:
  `connectionTypes` - The possible connection types to appear in the popup (of type `IElementType`).

Method Detail

### createTargetRequest

    protected Request createTargetRequest()

  Overrides:
    `createTargetRequest` in class `ConnectionCreationTool`
  See Also:
    `TargetingTool.createTargetRequest()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.